GuideLab API

List Receiving Categories

List all persisted receiving categories for the current lab with optional sources. Defaults are initialized during organization creation or by the explicit settings-defaults command.

GET
/receiving-categories

List all persisted receiving categories for the current lab with optional sources. Defaults are initialized during organization creation or by the explicit settings-defaults command.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?||
Defaultfalse
includeSources?||
Defaulttrue

Response Body

application/json

curl -X GET "https://example.com/receiving-categories"
{  "categories": [    {      "id": "string",      "labId": "string",      "name": "string",      "code": "string",      "description": "string",      "showInFlow": true,      "settings": {        "unitsPerItemLimit": 1      },      "sortOrder": 0,      "isActive": true,      "createdAt": "string",      "updatedAt": "string",      "sources": [        {          "id": "string",          "labId": "string",          "categoryId": "string",          "name": "string",          "code": "string",          "sortOrder": 0,          "isActive": true,          "createdAt": "string",          "updatedAt": "string"        }      ]    }  ]}
Empty
Empty